Page MenuHomeFreeBSD

Fix MPD5 PPPoE support on vlans and add basic parsing of PADM messages
ClosedPublic

Authored by ale on Mar 1 2017, 10:49 PM.

Details

Summary

The netgraph node paths cannot contain '.' and ':' characters, so the ng_ether module sanitizes interface names containing them (like the new format for vlans, eg. fxp0.1) by replacing illegal characters with underscores. This patch keeps interface name and netgraph path separated in the pppoe layer so that mpd can be used successfully on vlan interfaces.

iface = fxp0.1
path = fxp0_1:

Moreover I've added basic support to display PADM messages, introduced by the following patch: https://reviews.freebsd.org/D9270

Test Plan

I've setup pppoe connections on vlans and used ngctl to test the PADM messages.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

ale updated this revision to Diff 25850.Mar 1 2017, 10:49 PM
ale retitled this revision from to Fix MPD5 PPPoE support on vlans and add basic parsing of PADM messages.
ale updated this object.
ale edited the test plan for this revision. (Show Details)
ale added a reviewer: mav.
ale set the repository for this revision to rP FreeBSD ports repository.
ale added a subscriber: julian.
mav accepted this revision.Mar 2 2017, 5:50 AM
mav edited edge metadata.

I have no objections.

This revision is now accepted and ready to land.Mar 2 2017, 5:50 AM
ale added a comment.Apr 4 2017, 8:48 PM

Do you plan the apply the patch upstream and release a new version or may I apply it directly to the ports tree?

julian accepted this revision.Apr 6 2017, 2:30 PM

looks ok.
Who;s going to commit?
any doc change required?

ale added a comment.Apr 6 2017, 3:53 PM

No need to change documentation IMO, the manual already states that you have to specify the ethernet interface name:

set pppoe iface interface-name

Set the name of the Ethernet interface to use. PPPoE does not affect normal use of the interface.
garga added a subscriber: garga.Oct 21 2017, 4:04 PM

Hey @eugen_grosbein.net since you are the new maintainer of the mpd5 port can you commit also this patch, please? Thanks

This revision was automatically updated to reflect the committed changes.